void printi(int val);

int _atoi(char *nptr)
{
  int i, n = 0;
  for (i = 0; nptr[i]; i++) {
    n *= 10;
    n += nptr[i] - '0';
  }
  return n;
}

int main()
{
  int i;

  i = _atoi("0");
  printi(i);

  i = _atoi("10");
  printi(i);

  i = _atoi("12345");
  printi(i);

  return 0;
}
